# PyMoDAQ Plugin Manager

[<img src="https://img.shields.io/pypi/v/pymodaq_plugin_manager.svg">](https://pypi.org/project/pymodaq_plugin_manager/)
[<img src="https://readthedocs.org/projects/pymodaq/badge/?version=latest">](https://pymodaq.readthedocs.io/en/stable/?badge=latest)
[<img src="https://github.com/PyMoDAQ/pymodaq_plugin_manager/workflows/Upload%20Python%20Package/badge.svg">](https://github.com/PyMoDAQ/pymodaq_plugin_manager)


A plugin manager for PyMoDAQ, Modular Data Acquisition with Python.

Give a list of available, installable or updatable plugins compatible with pymodaq

# PyMoDAQ Plugins
|                                                          Repo Name                                                           |                                                                                                                                                                      Authors                                                                                                                                                                      |                                           Version plugin                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Instruments                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| ---------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <a href="https://pypi.org/project/pymodaq-plugins-orsay/" target="_top"># PyMoDAQ Orsay STEM and Camera plugin</a>           | <ul></ul>                                                                                                                                                                                                                                                                                                                                         | <a href="https://pypi.org/project/pymodaq-plugins-orsay/" target="_top">0.0.1</a>                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| <a href="https://pypi.org/project/pymodaq-plugins-amplitude/" target="_top">Amplitude Lasers</a>                             | <ul><li>_S. J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                    | <a href="https://pypi.org/project/pymodaq-plugins-amplitude/" target="_top">0.1.1</a>              | Viewer0D<ul>   <li>     **AmplitudeSystemsCRC16**: Let you control the laser settings and grab info on the laser status (tested on a Satsuma)   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| <a href="https://pypi.org/project/pymodaq-plugins-andor/" target="_top">Andor</a>                                            | <ul><li>Sébastien. J. Weber</li></ul>                                                                                                                                                                                                                                                                                                             | <a href="https://pypi.org/project/pymodaq-plugins-andor/" target="_top">1.0.0</a>                  | Actuators<ul><li>**Shamrock**: Shamrock series of spectrometer used as a monochromator</li></ul>Viewer1D<ul>   <li>**ShamrockCCD**: Shamrock series of spectrometer using the Andor CCD cameras</li>   <li>**ShamrockSCMOS**: Shamrock series of spectrometer using the Andor SCMOS cameras</li> </ul>Viewer2D<ul>   <li>**AndorCCD**: Andor CCD camera using the SDK2</li>   <li>**AndorSCMOS**: Andor CCD camera using the SDK3</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| <a href="https://pypi.org/project/pymodaq-plugins-femto/" target="_top">Femto Characterization</a>                           | <ul><li>_S. J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                    | <a href="https://pypi.org/project/pymodaq-plugins-femto/" target="_top">0.1.0</a>                  | Viewer1D<ul><li>**femto**: Fake detector mocking typically a spectrometer acquiring FROG traces</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| <a href="https://pypi.org/project/pymodaq-plugins-flim/" target="_top">Fluorescence Lifetime Imaging Microscopy</a>          | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-flim/" target="_top">0.1.0</a>                   | ViewerND<ul><li>**FLIM**: FLIM using piezoconcept XY stage and picoquant timeharp TH260"</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| <a href="https://pypi.org/project/pymodaq-plugins-greateyes/" target="_top">Greateyes</a>                                    | <ul><li>Romain Geneaux</li></ul>                                                                                                                                                                                                                                                                                                                  | <a href="https://pypi.org/project/pymodaq-plugins-greateyes/" target="_top">1.0.2</a>              | Viewer2D<ul><li>**GreateyesCCD**: Greateyes CCD cameras using the SDK</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| <a href="https://pypi.org/project/pymodaq-plugins-hamamatsu/" target="_top">Hamamatsu</a>                                    | <ul>   <li>     Romain Géneaux (romain.geneaux@cea.fr)        </li> </ul>                                                                                                                                                                                                                                                                         | <a href="https://pypi.org/project/pymodaq-plugins-hamamatsu/" target="_top">0.2.0</a>              | Viewer2D<ul>   <li>     **Hamamatsu** All cameras using the DCAM-API. Hardware ROI (region of interest) and binning (1x or 2x) are supported. To use ROIs, click on "Show/Hide ROI selection area" in the viewer panel (icon with dashed rectangle). Position the rectangle as you wish, either with mouse or by entering coordinates, then click "Update ROI" button.   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| <a href="https://pypi.org/project/pymodaq-plugins-holoeye/" target="_top">HoloEye Instruments</a>                            | <ul>   <li>     Sebastien J. Weber  (sebastien.weber@cemes.fr)        </li> </ul>                                                                                                                                                                                                                                                                 | <a href="https://pypi.org/project/pymodaq-plugins-holoeye/" target="_top">1.0.2</a>                | Actuators<ul>   <li>**HoloeyeFile**: Used to load phase data into the SLM from a file</li>   <li>**HoloeyeFullScreen**: Used to load a constant (and controllable) phase into the SLM</li>   <li>**HoloeyeSplitScreen**: Used to load a binary phase mask into the SLM and control both the</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| <a href="https://pypi.org/project/pymodaq-plugins-horiba/" target="_top">Horiba Spectrometers</a>                            | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-horiba/" target="_top">1.0.0</a>                 | Viewer1D<ul>   <li>**Labspec6TCP**: Control of Labspec6 settings and acquisition using TCP/IP communication</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| <a href="https://pypi.org/project/pymodaq-plugins-keithley/" target="_top">Keithley</a>                                      | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-keithley/" target="_top">1.0.1</a>               | Viewer0D<ul>   <li>**Keithley_Pico**: Pico-Amperemeter Keithley 648X Series, 6430 and 6514</li>   <li>**Keithley2110**: Multimeter Keithley  2110</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| <a href="https://pypi.org/project/pymodaq-plugins-daqmx/" target="_top">National Instrument DAQmx</a>                        | <ul><li>Sébastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-daqmx/" target="_top">0.3.0</a>                  | Actuators<ul><li>**DAQmx_MultipleScannerControl**: Control of piezo scanners with an analog output.</li></ul>Viewer0D<ul><li>**DAQmx_PLcounter**: Single photon counting</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| <a href="https://pypi.org/project/pymodaq-plugins-newport/" target="_top">Newport Instruments</a>                            | <ul>   <li>Sebastien J. Weber</li>   <li>David Bresteau (david.bresteau@cea.fr)</li> </ul>                                                                                                                                                                                                                                                        | <a href="https://pypi.org/project/pymodaq-plugins-newport/" target="_top">1.1.0</a>                | Actuators<ul>   <li>**Conex**: Piezo actuators from the CONEX-AGAP series"</li>   <li>**Newport_ESP100**: ESP100 motion controllers</li>   <li>     **AgilisSerial**: for controllers AG-UC8 and AG-UC2 tested with motorized mounts AG-M100N (no encoder)   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| <a href="https://pypi.org/project/pymodaq-plugins-oceaninsight/" target="_top">Ocean Insight (Optics</a>                     | <ul>   <li>Sebastien J. Weber</li>   <li>Nicolas Tappy</li> </ul>                                                                                                                                                                                                                                                                                 | <a href="https://pypi.org/project/pymodaq-plugins-oceaninsight/" target="_top">0.2.0</a>           | Viewer1D<ul>   <li>**Omnidriver**: Control of Spectrometer using the Omnidriver library (should be installed)</li>   <li>     **Seabreeze** : If the Omnidriver library is not available, a plugin implementation based on seabreeze is provided: https://python-seabreeze.readthedocs.io/en/latest/index.html   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| <a href="https://pypi.org/project/pymodaq-plugins-physical-measurements/" target="_top">Physical Measurements Hardware</a>   | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-physical-measurements/" target="_top">0.1.1</a>  | Viewer0D<ul>   <li>**Keithley_Pico**: Pico-Amperemeter Keithley 648X Series, 6430 and 6514</li>   <li>**Keithley2110**: Multimeter Keithley  2110</li>   <li>**Lockin7270**: Lockin Amplifier Ametek 7270</li>   <li>**LockinSR830**: LockIn Amplifier SR830</li> </ul>Viewer1D<ul>   <li>**LecroyWaveRunner6Zi**: Oscilloscope LecroyWaveRunner 6Zi</li>   <li>**Tektronix**: Oscilloscope Tektronix MDO Series</li>   <li>**Picoscope**: Picoscope from Picotechnology</li> </ul>Viewer2D<ul>   <li>**OpenCVCam**: Webcams control using the opencv library</li>   <li>**GenICam**: GeniCam compliant cameras suing the harvester libary</li>   <li>**TIS**: The Imaging Source TIS cameras</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| <a href="https://pypi.org/project/pymodaq-plugins-physik-instrumente/" target="_top">Physik Instrumente Stages</a>           | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-physik-instrumente/" target="_top">1.1.0</a>     | Actuators<ul>   <li>     **PI**: All stages compatible with the GCS2 library. Tested on E-816, C-863 (mercury DC/Stepper), C-663, E-545   </li>   <li>     **PI_MMC**: old controller and stages using the 32 bits MMC dll (requires 32bit python) C-862 controller   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| <a href="https://pypi.org/project/pymodaq-plugins-picoquant/" target="_top">Picoquant</a>                                    | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-picoquant/" target="_top">0.1.0</a>              | Viewer1D<ul><li>**TH260**: Timeharp TH260 for *photon counting* and *time tagging*</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| <a href="https://pypi.org/project/pymodaq-plugins-piezoconcept/" target="_top">PiezoConcept Stages</a>                       | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-piezoconcept/" target="_top">1.0.0</a>           | Actuators<ul>   <li>**PiezoConcept** : piezoconcept stages (tested on BIO2.100) using the usual serial commands</li>   <li>     **PiezoConceptPI**: Special firmware to emulate functions form the GCS2 library from Physik Instrumente   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <a href="https://pypi.org/project/pymodaq-plugins-princeton-instruments/" target="_top">Princeton Instruments Cameras</a>    | <ul><li>Nicolas Tappy</li></ul>                                                                                                                                                                                                                                                                                                                   | <a href="https://pypi.org/project/pymodaq-plugins-princeton-instruments/" target="_top">0.1.0</a>  | Viewer2D<ul><li>**picam**: Control of cameras using the picam library.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| <a href="https://pypi.org/project/pymodaq-plugins-piezosystemjena/" target="_top">PyMoDAQ Piezosystem Jena</a>               | <ul><li>Nicolas Tappy</li></ul>                                                                                                                                                                                                                                                                                                                   | <a href="https://pypi.org/project/pymodaq-plugins-piezosystemjena/" target="_top">0.1.0</a>        | Actuators<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| <a href="https://pypi.org/project/pymodaq-plugins-mock/" target="_top">PyMoDAQ Plugins Mock</a>                              | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-mock/" target="_top">4.3.3</a>                   | Actuators<ul>   <li>**Mock** actuator to test PyMoDAQ functionnalities</li>   <li>**MockTau** mock actuator with caracteristic time to reach set value</li>   <li>**TCP server** to communicate with other DAQ_Move or third party applications</li> </ul>Viewer0D<ul>   <li>**Mock 0D** detector to test PyMoDAQ functionnalities</li>   <li>**Mock Adaptive** detector to test PyMoDAQ adaptive scan mode</li>   <li>**TCP server** to communicate with other DAQ_Viewer or third party applications</li> </ul>Viewer1D<ul>   <li>**Mock 1D** detector to test PyMoDAQ functionnalities</li>   <li>**Mock Spectro** detector to test pymodaq_spectro functionalities</li>   <li>**TCP server** to communicate with other DAQ_Viewer or third party applications</li> </ul>Viewer2D<ul>   <li>**Mock 2D** detector to test PyMoDAQ functionnalities</li>   <li>**TCP server** to communicate with other DAQ_Viewer or third party applications</li> </ul>ViewerND<ul><li>**Mock ND** detector to test PyMoDAQ functionnalities</li></ul>                                                                                                                                                                                                                            |
| <a href="https://pypi.org/project/pymodaq-plugins-smaract/" target="_top">Smaract</a>                                        | <ul>   <li>David Bresteau (david.bresteau@cea.fr)</li>   <li>Sebastien J. Weber (sebastien.weber@cnrs.fr)</li> </ul>                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-smaract/" target="_top">2.0.0</a>                | Actuators<ul>   <li>**SmaractMCS** SLC linear stages with sensor (S option) with MCS controller</li>   <li>**SmaractMCS2** SLC linear stages with sensor (S option) with MCS2 controller</li>   <li>     **Smaract** SLC linear or angular stages with or without sensors using the Instrumental-lib package   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| <a href="https://pypi.org/project/pymodaq-plugins-stellarnet/" target="_top">StellarNet</a>                                  | <ul><li>Romain Geneaux</li></ul>                                                                                                                                                                                                                                                                                                                  | <a href="https://pypi.org/project/pymodaq-plugins-stellarnet/" target="_top">2.0.1</a>             | Viewer1D<ul>   <li>     **Stellarnet**: USB spectrometers made by StellarNet, Inc (https://www.stellarnet.us/spectrometers/).   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| <a href="https://pypi.org/project/pymodaq-plugins-thorlabs/" target="_top">Thorlabs Instruments</a>                          | <ul>   <li>Sebastien J. Weber</li>   <li>David Bresteau (david.bresteau@cea.fr)</li>   <li>Nicolas Tappy (nicolas.tappy@epfl.ch)</li>   <li>Romain Geneaux (romain.geneaux@cea.fr)</li> </ul>                                                                                                                                                     | <a href="https://pypi.org/project/pymodaq-plugins-thorlabs/" target="_top">1.1.0</a>               | Actuators<ul>   <li>**Kinesis**: Kinesis serie (tested on K10CR1)</li>   <li>**Kinesis_Flipper**: Kinesis serie Flipper</li>   <li>     **MFF101_pylablib**: Kinesis serie Flipper mount (thorlabs MFF101), similar to **Kinesis_FLipper** but using the pylablib control module.   </li>   <li>     **PRM1Z8_pylablib**: DC servo motorized 360° rotation mount (Thorlabs PRM1Z8) using the pylablib control module. The Thorlabs APT software should be installed: https://www.thorlabs.com/newgrouppage9.cfm?objectgroup_id=9019.   </li> </ul>Viewer0D<ul>   <li>**Kinesis_KPA101**: Kinesis serie (position sensitive photodetector)</li>   <li>     **TLPMPowermeter**: TLPM dll compatible series (PM101x, PM102x, PM103x, PM100USB, PM16-Series, PM160, PM400, PM100A, PM100D, PM200)   </li>   <li>     **TLPMPowermeterInst**: TLPM dll compatible series (PM101x, PM102x, PM103x, PM100USB, PM16-Series, PM160, PM400, PM100A, PM100D, PM200)   </li> </ul>Viewer2D<ul>   <li>     **DCx cameras**: Tested with DCC3240M. Works with Windows. Precise installation instructions can be found here:   </li>   <li>     **Scientific cameras**: sCMOS camera series Zelux, Kiralux, Quantalux. Implemented using the pylablib control module.   </li> </ul> |
| <a href="https://pypi.org/project/pymodaq-plugins-uniblitz/" target="_top">Uniblitz</a>                                      | <ul>   <li>Matthieu Guer  (matthieu.guer@cea.fr)</li>   <li>     Romain Géneaux (romain.geneaux@cea.fr)        </li> </ul>                                                                                                                                                                                                                        | <a href="https://pypi.org/project/pymodaq-plugins-uniblitz/" target="_top">0.1.2</a>               | Actuators<ul>   <li>     **VLM1**: control of Uniblitz VLM1 Shutter Interface Module by USB. Very basic functionality to switch the shutter, without reading the actual state of the shutter.   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| <a href="https://pypi.org/project/pymodaq-plugins-zaber/" target="_top">Zaber Technologies</a>                               | <ul>   <li>Romain Géneaux</li>   <li>     Sebastien J. Weber (sebastien.weber@cnrs.fr)        </li> </ul>                                                                                                                                                                                                                                         | <a href="https://pypi.org/project/pymodaq-plugins-zaber/" target="_top">2.0.0</a>                  | Actuators<ul>   <li>     **Zaber** All motors using the Zaber ASCII Motion Library. Rotations and translations should be both supported (units should adapt to the actuator type), but I only tested translation stages so far.   </li>   <li>**ZaberBinary**: control of zaber actuators using the legacy binary protocol</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <a href="https://pypi.org/project/pymodaq-plugins-crystal-technology/" target="_top">pymodaq_plugins_crystal_technology</a>  | <ul>   <li>     Sébastien J. Weber  (sebastien.weber@cnrs.fr)          .. if needed use this field         Contributors         ============         * First Contributor         * Other Contributors   </li> </ul>                                                                                                                               | <a href="https://pypi.org/project/pymodaq-plugins-crystal-technology/" target="_top">0.0.1</a>     | Actuators<ul><li>**AOTFPro**: control of the AOTF from YSl and Crystal Technology</li></ul>Viewer0D<ul></ul>Viewer1D<ul></ul>Viewer2D<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| <a href="https://pypi.org/project/pymodaq-plugins-mockexamples/" target="_top">pymodaq_plugins_mockexamples</a>              | <ul>   <li>     Sebastien J. Weber  (sebastien.weber@cnrs.fr)               .. if needed use this field            Depending on the plugin type, delete/complete the fields below        </li> </ul>                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-mockexamples/" target="_top">0.0.1</a>           | Actuators<ul>   <li>**yyy**: control of yyy actuators</li>   <li>**xxx**: control of xxx actuators</li> </ul>Viewer0D<ul>   <li>**yyy**: control of yyy 0D detector</li>   <li>**xxx**: control of xxx 0D detector</li> </ul>Viewer1D<ul>   <li>**yyy**: control of yyy 1D detector</li>   <li>**xxx**: control of xxx 1D detector</li> </ul>Viewer2D<ul>   <li>**yyy**: control of yyy 2D detector</li>   <li>**xxx**: control of xxx 2D detector</li> </ul>ViewerND<ul>   <li>     **MockEvents**: Simulate the acquisition of photons received on a timepix camera (position and time of arrival of each photon)   </li>   <li>**xxx**: control of xxx 2D detector</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| <a href="https://pypi.org/project/pymodaq-plugins-opencv/" target="_top">pymodaq_plugins_opencv</a>                          | <ul>   <li>     Sebastien J. Weber  (sebastien.weber@cnrs.fr)          .. if needed use this field              Contributors         ============              * First Contributor         * Other Contributors          .. if needed use this field            Depending on the plugin type, delete/complete the fields below        </li> </ul> | <a href="https://pypi.org/project/pymodaq-plugins-opencv/" target="_top">0.0.1</a>                 | Viewer2D<ul><li>**opencv**: control of cameras using the opencv library (mainly webcams)</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
